Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.xtg
Class XTGFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          info.bioinfweb.treegraph.document.io.AbstractFilter
              info.bioinfweb.treegraph.document.io.AbstractXMLFilter
                  info.bioinfweb.treegraph.document.io.xtg.XTGFilter

All Implemented Interfaces:
  DocumentFilter, XTGConstants, java.io.FileFilter

    public class XTGFilter

extends AbstractXMLFilter
implements DocumentFilter, XTGConstants

Author:
  Ben Stöver

Field Summary
`static java.lang.String` | `EXTENSION`

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractXMLFilter
`XML_EXTENSION`

Fields inherited from interface info.bioinfweb.treegraph.document.io.xtg.XTGConstants
`ALIGN_LEFT, ALIGN_RIGHT, ALIGN_TREE_WIDTH, ATTR_ALIGN_TO_SUBTREE, ATTR_BG_COLOR, ATTR_BOTTOM, ATTR_BRANCH_LENGTH, ATTR_BRANCH_LENGTH_SCALE, ATTR_CONSTANT_WIDTH, ATTR_DECIMAL_FORMAT, ATTR_EDGE_RADIUS, ATTR_FONT_FAMILY, ATTR_HEIGHT, ATTR_ICON, ATTR_ICON_FILLED, ATTR_ICON_HEIGHT, ATTR_ICON_WIDTH, ATTR_ID, ATTR_LABEL_ABOVE, ATTR_LABEL_SPACING, ATTR_LEFT, ATTR_LEGEND_POS, ATTR_LEGEND_SPACING, ATTR_LEGEND_STYLE, ATTR_LINE_COLOR, ATTR_LINE_NO, ATTR_LINE_POS, ATTR_LINE_WIDTH, ATTR_LOCALE_COUNTRY, ATTR_LOCALE_LANG, ATTR_LOCALE_VARIANT, ATTR_LONG_INTERVAL, ATTR_MIN_BRANCH_LENGTH, ATTR_MIN_SPACE_ABOVE, ATTR_MIN_SPACE_BELOW, ATTR_MIN_TREE_DISTANCE, ATTR_POSITION_LABELS_TO_LEFT, ATTR_RIGHT, ATTR_SCALE_BAR_ALIGN, ATTR_SCALE_BAR_DISTANCE, ATTR_SCALE_BAR_HEIGHT, ATTR_SCALE_BAR_INCREASE, ATTR_SCALE_BAR_START, ATTR_SCALE_BAR_WIDTH, ATTR_SHOW_ROOTED, ATTR_SHOW_SCALE_BAR, ATTR_SMALL_INTERVAL, ATTR_TEXT, ATTR_TEXT_COLOR, ATTR_TEXT_HEIGHT, ATTR_TEXT_IS_DECIMAL, ATTR_TEXT_ORIENTATION, ATTR_TEXT_STYLE, ATTR_TOP, ATTR_UNIQUE_NAME, ATTR_WIDTH, BRANCH_LENGTH_UNITS, MILLIMETERS, ORIENT_DOWN, ORIENT_HORIZONTAL, ORIENT_UP, PRE_LEGEND_ANCHOR, STYLE_BOLD, STYLE_BRACE, STYLE_BRACKET, STYLE_ITALIC, STYLE_UNDERLINE, TAG_BRANCH, TAG_DOC_MARGIN, TAG_GLOBAL_FORMATS, TAG_HIDDEN_DATA, TAG_ICON_LABEL, TAG_LABEL_MARGIN, TAG_LEAF_MARGIN, TAG_LEGEND, TAG_LEGEND_MARGIN, TAG_NODE, TAG_ROOT, TAG_SCALE_BAR, TAG_TEXT_LABEL, TAG_TREE`

Constructor Summary
`XTGFilter()`

Method Summary
`java.lang.String` | `getDefaultExtension()`
`java.lang.String` | `getDescription()`
`boolean` | `validExtension(java.lang.String name)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractXMLFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentFilter
`accept`

Field Detail

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### XTGFilter

    public XTGFilter()

Method Detail

### validExtension

    public boolean validExtension(java.lang.String name)

  Specified by:
    `validExtension` in interface `DocumentFilter`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DocumentFilter`
  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

### getDefaultExtension

    public java.lang.String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in interface `DocumentFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD